## org.apache.lucene.xmlparser.builders
Class SpanNotBuilder

    java.lang.Object
      org.apache.lucene.xmlparser.builders.SpanBuilderBase
          org.apache.lucene.xmlparser.builders.SpanNotBuilder

All Implemented Interfaces:
  SpanQueryBuilder, QueryBuilder

    public class SpanNotBuilder

extends SpanBuilderBase

Constructor Summary
`SpanNotBuilder(SpanQueryBuilder factory)`

Method Summary
`SpanQuery` `getSpanQuery(org.w3c.dom.Element e)`

Methods inherited from class org.apache.lucene.xmlparser.builders.SpanBuilderBase
`getQuery`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SpanNotBuilder

    public SpanNotBuilder(SpanQueryBuilder factory)

Parameters:
  `factory` -

Method Detail

### getSpanQuery

    public SpanQuery getSpanQuery(org.w3c.dom.Element e)
                           throws ParserException

  Throws:
    `ParserException`

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.